Skip to main content
PATCH
/
v1
/
webhooks
/
{webhook_id}
Update Webhook Endpoint
curl --request PATCH \
  --url https://karibu.briq.tz/v1/webhooks/{webhook_id} \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "service_type": "sms",
  "url": "https://example.com/webhook/updated",
  "secret_token": "updated_secret_token"
}
'
{
  "webhook_id": "<string>",
  "app_id": "<string>",
  "service_type": "<string>",
  "url": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "secret_token": "<string>"
}

Authorizations

X-API-Key
string
header
required

Headers

X-API-Key
string
required

Path Parameters

webhook_id
string
required

Body

application/json

Schema for updating an existing webhook.

service_type
string | null

Type of service for this webhook

Pattern: ^(sms|voice|otp|whatsapp|email)$
Example:

"sms"

url
string<uri> | null

The URL where webhook events will be sent

Required string length: 1 - 2083
Example:

"https://example.com/webhook/updated"

secret_token
string | null

Secret token for signing outgoing webhook requests

Required string length: 16 - 255
Example:

"updated_secret_token"

Response

Successful Response

Schema for webhook response.

webhook_id
string
required

Unique identifier for the webhook

app_id
string
required

The ID of the developer app

service_type
string
required

Type of service

url
string
required

The webhook URL

created_at
string<date-time>
required

When the webhook was created

updated_at
string<date-time>
required

When the webhook was last updated

secret_token
string | null

Secret token (masked for security)